package opc.ua.im.datatype;

import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class SamplingIntervalDiagnosticsDataType extends DataTypeNode {

	/** Duration */
	private long samplingRate;
	private long sampledMonitoredItemsCount;
	private long maxSampledMonitoredItemsCount;
	private long disabledMonitoredItemsSamplingCount;

	
	public SamplingIntervalDiagnosticsDataType() {
		setBrowseName("SamplingIntervalDiagnosticsDataType");
	}

	public long getSamplingRate() {
		return samplingRate;
	}

	public void setSamplingRate(long samplingRate) {
		this.samplingRate = samplingRate;
	}

	public long getSampledMonitoredItemsCount() {
		return sampledMonitoredItemsCount;
	}

	public void setSampledMonitoredItemsCount(long sampledMonitoredItemsCount) {
		this.sampledMonitoredItemsCount = sampledMonitoredItemsCount;
	}

	public long getMaxSampledMonitoredItemsCount() {
		return maxSampledMonitoredItemsCount;
	}

	public void setMaxSampledMonitoredItemsCount(long maxSampledMonitoredItemsCount) {
		this.maxSampledMonitoredItemsCount = maxSampledMonitoredItemsCount;
	}

	public long getDisabledMonitoredItemsSamplingCount() {
		return disabledMonitoredItemsSamplingCount;
	}

	public void setDisabledMonitoredItemsSamplingCount(
			long disabledMonitoredItemsSamplingCount) {
		this.disabledMonitoredItemsSamplingCount = disabledMonitoredItemsSamplingCount;
	}

}
